unit UDrawForm;

{$I beanz.inc}

interface

uses
  Classes, SysUtils, FileUtil, FastImage, LResources, Forms, Controls, Graphics,
  Dialogs, LCLType, ExtCtrls;

type

  { TDrawForm }

  TDrawForm = class(TForm)
    procedure FormCreate(Sender: TObject);
  private

  public
    FrameWidth, FrameHeight:Integer;
    EraseBackgroundEnabled: Boolean;
    FullScreen : Boolean;
    procedure EraseBackground(DC: HDC); override;
  end;

var
  DrawForm: TDrawForm;

implementation

{ TDrawForm }

procedure TDrawForm.FormCreate(Sender: TObject);
begin
  DoubleBuffered := True;
end;

procedure TDrawForm.EraseBackground(DC: HDC);
begin
  if EraseBackgroundEnabled then
    inherited EraseBackground(DC);
end;

initialization
  {$I UDrawForm.lrs}

end.

