unit uFastimagemethod_clear;

{$I beanz.inc}

interface

uses
  UDrawMethod, Controls, FastBitmapCore;
type
  { TFastimagemethodClear }

  TFastimagemethodClear = class(TDrawMethodFastImage)
    constructor Create; override;
    destructor Destroy; override;
    procedure Init(Parent: TWinControl; AWidth, AHeight:Integer); override;
    procedure DrawFrame(); override;

  end;


implementation

{ TFastimagemethodClear }

constructor  TFastimagemethodClear.Create;
begin
  inherited;

  Caption := 'TFastImage.Picture.Clear';
  with Description do
  begin
    Add('Affichage avec TFastImage');
    Add('Effacement du bitmap avec la fonction : ');
    Add('TFastImage.Picture.Clear(AColor:TCompactColor)');
  end;
  Iterations:=100;
end;

procedure TFastimagemethodClear.Init(Parent: TWinControl; AWidth, AHeight:Integer);
begin
  inherited;
  Image.Picture.SetSize(AWidth,AHeight);

end;

procedure  TFastimagemethodClear.DrawFrame();

begin
  Image.Picture.Clear(CompactColor(random(256),random(256),random(256),255));
  Image.Picture.Changed();
end;

destructor TFastimagemethodClear.Destroy;
begin
  inherited Destroy;
end;


end.

