unit UDummyMethod;

{$mode delphi}

interface

uses
  Classes, SysUtils, UDrawMethod;

type
  { TDummyMethod }

  TDummyMethod = class(TDrawMethod)
    constructor Create; override;
    procedure DrawFrame(); override;
  end;


implementation

{ TDummyMethod }

constructor TDummyMethod.Create;
begin
  inherited Create;
  Caption := 'TDummyMethod';
  Description.Add('Cette méthode ne dessine rien. Son but est de mesurer');
  Description.Add('et de comparer la vitesse avec la gestion des systèmes et des événements.');
  Iterations:=100;
end;

procedure TDummyMethod.DrawFrame();
begin
end;


end.

