unit uInfosForm;

{$I beanz.inc}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, ComCtrls, uCrossPlateForm;

type

  { TSystemInfosForm }

  TSystemInfosForm = class(TForm)
    btnClose: TButton;
    lblAppInfos: TLabel;
    lblTempPathInfo: TLabel;
    lblDisplayInfos: TLabel;
    lblMemoryInfos: TLabel;
    lblOSInfos: TLabel;
    lblCPUInfos: TLabel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    procedure btnCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  SystemInfosForm: TSystemInfosForm;

implementation

{$R *.lfm}

{ TSystemInfosForm }

procedure TSystemInfosForm.btnCloseClick(Sender: TObject);
begin
  close;
end;

procedure TSystemInfosForm.FormShow(Sender: TObject);
Var s: string;
begin
  s:=  'Nom     : '+GetAppfileName()+' - Version : '+GetVersionExeAsString+#13#10;
  s:=s+'Dossier : '+GetAppPath()+#13#10;
  s:=s+#13#10;
  s:=s+GetAppInfosAsString;
  lblAppInfos.Caption:= s;

  lblCPUInfos.Caption:='CPU : '+ getCPUName()+ ' Nombre de coeur : '+inttostr(GetLogicalProcessorCount());
  lblOSInfos.Caption:= 'OS  : ' + GetPlatformVersionAsString();
  with GetPlatformInfo do
  begin
   lblOSInfos.Caption:=lblOSInfos.Caption+' - Version : '+Version;
  end;
  lblTempPathInfo.Caption:='Dossier temporaire : ' + GetTempFolderPath();
  lblMemoryInfos.Caption:= GetMemoryStatusAsString();
  lblDisplayInfos.Caption:=GetDeviceCapabilitiesAsString();
end;

end.

