//==============================================================================
// uCommonTypes.pas
//------------------------------------------------------------------------------
// Historique :
// 20/11/16 - BeanzMaster - Creation
//------------------------------------------------------------------------------
// Description :
// Unité regroupant types, consts, et vars commun à des unités ou programmes
// On réduit, ainsi les dependances cyclique
//------------------------------------------------------------------------------
// Credits :
//
//------------------------------------------------------------------------------
//==============================================================================
unit UCommonTypes;
//==============================================================================

{$I beanz.inc}

//==============================================================================
interface

//==============================================================================

uses
  Classes, SysUtils;

//==============================================================================

Const
  OneSecond  = 1000; //in milleseconds
  OneMinute  = OneSecond * 60;
  OneHour    = OneMinute * 60;
  OneHalfDay = OneHour * 12;
  OneDay     = OneHalfDay * 2;

  OneKilobyte = 1024;
  OneMegabyte = OneKilobyte * 1024;
  TenMegabyte = OneMegabyte * 10;

  Bool2Str :  array[boolean] of string = ('False', 'True');


  TimeScale2Str :  array[0..3] of string = ('s.', 'ms', 'µs', 'ns');
  TimerUnit2Str :  array[0..3] of string = ( 's.', 'ms.', '"units"', 'cycles' );

//==============================================================================

implementation

//==============================================================================

//==============================================================================
end.

